%global module dummy_backlight

Name: dummy-backlight
Version: 1.0.0
Release: 3%{?dist}
Summary: Dummy backlight

License: GPLv2+
Source0: %{name}-%{version}.tar.gz

BuildRequires: make

%description
%{summary}.


%package module
Summary: Dummy backlight kernel module
Requires: dkms


%description module
%{summary}.


%package dom0
Summary: Dummy backlight dom0 part


%description dom0
%{summary}.


%package vm
Summary: Dummy backlight VM part


%description vm
%{summary}.


%prep
%setup -q


%install
%make_install


%files module
%defattr(-,root,root)
/usr/src/%{module}-%{version}/Makefile
/usr/src/%{module}-%{version}/%{module}.c
/usr/src/%{module}-%{version}/dkms.conf


%files dom0
%defattr(-,root,root)
%{_sysconfdir}/udev/rules.d/90-backlight.rules
%{_sysconfdir}/qubes-rpc/qubes.SetBrightness


%files vm
%defattr(-,root,root)
/etc/qubes/post-install.d/20-dummy-backlight.sh
%{_sysconfdir}/udev/rules.d/80-qubes-backlight.rules
/usr/lib/qubes/qubes-set-backlight.sh
/usr/lib/systemd/system/module-load-dummy-backlight.service


%post module
dkms add -m %{module} -v %{version} --rpm_safe_upgrade
if [ -e /lib/modules/$(uname -r)/build/include ]; then
    dkms build -m %{module} -v %{version}
    dkms install -m %{module} -v %{version}
else
    echo -e ""
    echo -e "Cannot find kernel headers for this kernel."
    echo -e "Skipping build and install stages..."
fi


%preun module
dkms remove -m %{module} -v %{version} --all --rpm_safe_upgrade


%post vm
%systemd_post module-load-dummy-backlight.service


%preun vm
%systemd_postun module-load-dummy-backlight.service


%changelog
* Fri Nov 04 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-dummy-backlight.git

* Fri Nov 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e01a070
- version 1.0.0-3

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8116749
- .qubesbuilder: replace 'spec' by 'build'

* Wed Apr 20 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7c8226b
- spec: fix missing %{?dist}

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0f97737
- Add Qubes Builder v2 integration

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b499af5
- version 1.0.0-2

* Sun May 09 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bd50d7a
- Add .gitlab-ci.yml

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7fe6369
- spec: add BR make

* Sun Oct 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 001e877
- version 1.0.0-1

* Sun Sep 20 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3342093
- spec: don't enable by default

* Tue Sep 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2cd560f
- vm: module is built in Qubes kernel

* Tue Aug 25 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0393275
- Drop legacy RPC policy file

* Mon Aug 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3e55816
- spec: enable service by default

* Mon Aug 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 35c3a14
- spec: fix dkms R

* Sat Aug 22 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 56348fe
- Add qvm-service integration for loading module

* Fri Aug 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3d4da8a
- Fix backlight permission in dom0

* Fri Aug 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 03d645b
- qubes-set-backlight: fix path of dummy_backlight

* Fri Aug 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e92106c
- Move current as module subpackage

* Fri Aug 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 95f3067
- Add spec for building module with DKMS

* Fri Aug 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4f113ab
- Update from @marmarek's comments

* Fri Aug 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 446ae5f
- Initial commit

